Package org.eclipse.m2m.atl.adt.runner

# Class CreateRunnableAtlOperation

java.lang.Object
org.eclipse.m2m.atl.adt.runner.CreateRunnableAtlOperation

All Implemented Interfaces:
  `org.eclipse.core.resources.IWorkspaceRunnable`, `org.eclipse.core.runtime.ICoreRunnable`

public class CreateRunnableAtlOperation extends Object implements org.eclipse.core.resources.IWorkspaceRunnable
An Operation which creates / updates a runnable java file.

## Constructor Summary

Constructors
Constructor
Description
`CreateRunnableAtlOperation(org.eclipse.core.resources.IFile propertyFile, org.eclipse.core.resources.IFile javaFile)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`String`
`getBasePackage()`
`void`
`run(org.eclipse.core.runtime.IProgressMonitor monitor)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CreateRunnableAtlOperation

public CreateRunnableAtlOperation(org.eclipse.core.resources.IFile propertyFile, org.eclipse.core.resources.IFile javaFile)
Constructor.

Parameters:
  `propertyFile` - the ATL properties file
  `javaFile` - the java runnable file

## Method Details

### run

public void run(org.eclipse.core.runtime.IProgressMonitor monitor) throws org.eclipse.core.runtime.CoreException

Specified by:
  `run` in interface `org.eclipse.core.runtime.ICoreRunnable`
Specified by:
  `run` in interface `org.eclipse.core.resources.IWorkspaceRunnable`
Throws:
  `org.eclipse.core.runtime.CoreException`
See Also:
  - `IWorkspaceRunnable.run(org.eclipse.core.runtime.IProgressMonitor)`

### getBasePackage

public String getBasePackage()